Bug 841188 - inode leak when rename is done
inode leak when rename is done
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Raghavendra Bhat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 07:27 EDT by Raghavendra Bhat
Modified: 2013-07-24 14:04 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 14:04:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Bhat 2012-07-18 07:27:25 EDT
Description of problem:

Whenever rename operations are done inside the root directory of the volume, an extra root inode is created in the inode table.

This is the o/p of gluster volume status <volname> inode, indicating the leak.

gluster volume status vol inode
Inode tables for volume vol
----------------------------------------------
Brick : thinkpad:/export1/vol
Active inodes:
GFID                                            Lookups            Ref   IA type
----                                            -------            ---   -------
852effb2-20a1-4ce1-bd97-4e9ba80b8597                  6              1         D
00000000-0000-0000-0000-000000000001                  0              1         D
00000000-0000-0000-0000-000000000001                  0              1         D
00000000-0000-0000-0000-000000000001                  0              1         D
00000000-0000-0000-0000-000000000001                  0              1         D
00000000-0000-0000-0000-000000000001                  4            658         D
 
LRU inodes:
GFID                                            Lookups            Ref   IA type
----                                            -------            ---   -------
9351ca1e-9399-42f0-9e67-ed73783c2373                  3              0         R
f495dafa-80c6-495d-ae07-3278a310e0b4                  3              0         R


Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1. create a volume, start it and mount it.
2. cd into the root of the volume, create an entry
3. rename the entry
  
Actual results:

extra inode is created for root, whenever rename operation is done on an entry present in the root directory of the volume (doing rename operation on a entry present in some other directory of the volume does not cause inode leak).

Expected results:

for rename operation extra inode should not be created for root.

Additional info:


gluster volume info
 
Volume Name: vol
Type: Distribute
Volume ID: 5254aa14-cce3-41c1-b961-a2f8c199b45f
Status: Started
Number of Bricks: 1
Transport-type: tcp
Bricks:
Brick1: thinkpad:/export1/vol
 
Volume Name: new
Type: Replicate
Volume ID: ce1cdc0e-da5c-4157-bfac-a4fe44b7708a
Status: Stopped
Number of Bricks: 1 x 2 = 2
Transport-type: tcp
Bricks:
Brick1: thinkpad:/export1/new
Brick2: thinkpad:/export2/new
Options Reconfigured:
cluster.self-heal-daemon: on


thinkpad:vol on /mnt/fuse type fuse.glusterfs (rw,relatime,user_id=0,group_id=0,default_permissions,allow_other,max_read=131072)
Comment 1 Vijay Bellur 2012-07-24 14:53:37 EDT
CHANGE: http://review.gluster.com/3716 (libglusterfs: fix creation of spurious root inodes) merged in master by Anand Avati (avati@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.